Subject: bug#78053: [PATCH] Support strings for electric-pairs.

From: Elijah Gabe Pérez <[email-masked]>
Date: Sun, 15 Jun 2025 13:54:51 -0600

Eli Zaretskii <[email-masked]> writes:

>> This is a kind of property for pairs (only for strings pairs), that
>> tells to `electric-pairs` to insert a space before the first pair.
>> 
>> I couldn't find a better way to document this in that limited-size tag.
>
> If you explain to me what it does, I can try finding more clear
> wording.

That must be a list of 3 elements where specifies: pair start, pair end,
and a non-nil value which specifies to insert an extra space after `pair
start` was typed.

Thus, if electric-pair-pairs is set like this:
(setq electric-pair-pairs '(("/*" " */" t)))

After the pair start was typed it expands to this:
/* | */
   ^ cursor

-- 
                                          - E.G via GNU Emacs and Org.